#!/usr/bin/env ruby
# -*- coding utf-8 -*-

puts"饅頭が10個あります。何個食べましたか?"

while true
  puts "数を入力してね"
  kazu = gets.chomp.to_i
  if kazu < 5
    puts "もっと食べれる!"
    break
  elsif kazu < 10 
    puts "なかなか食べているね"
    break
  elsif kazu == 10
    puts "全部食べたの!すごいね"
    break
  else
    puts "1から10の数を入力してね"
    redo
  end
end
